Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059899 - Mail filters not working: iptables invalid port/service `ssmtp' specified
Summary: Mail filters not working: iptables invalid port/service `ssmtp' specified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fail2ban
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 21:29 UTC by Vladislav Grigoryev
Modified: 2014-05-25 05:36 UTC (History)
5 users (show)

Fixed In Version: fail2ban-0.9-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-25 05:36:25 UTC


Attachments (Terms of Use)

Description Vladislav Grigoryev 2014-01-30 21:29:06 UTC
Description of problem:
Mail filters (dovecot, postfix, sasl) not working: iptables invalid port/service `ssmtp' specified.

Version-Release number of selected component (if applicable):
f20 minimal installation.
fail2ban-0.9-0.3.git1f1a561.fc20.noarch
setup-2.8.71-2.fc20.noarch

How reproducible:
Always.

Steps to Reproduce:
1. yum install fail2ban
2. echo -e '[postfix]\nenabled = true' >/etc/fail2ban/jail.d/postfix.conf
3. systemctl start fail2ban.service

Actual results:

ERROR  iptables -N fail2ban-dovecot
       iptables -A fail2ban-dovecot -j RETURN
       iptables -I INPUT -p tcp -m multiport --dports smtp,ssmtp,submission,imap2,imap3,imaps,pop3,pop3s -j fail2ban-dovecot -- stderr: "iptables v1.4.19.1: invalid port/service `ssmtp' specified\nTry `iptables -h' or 'iptables --help' for more information.\n"

ERROR  iptables -N fail2ban-postfix
       iptables -A fail2ban-postfix -j RETURN
       iptables -I INPUT -p tcp -m multiport --dports smtp,ssmtp,submission -j fail2ban-postfix -- stderr: "iptables v1.4.19.1: invalid port/service `ssmtp' specified\nTry `iptables -h' or 'iptables --help' for more information.\n"

ERROR  iptables -N fail2ban-sasl
       iptables -A fail2ban-sasl -j RETURN
       iptables -I INPUT -p tcp -m multiport --dports smtp,ssmtp,submission,imap2,imap3,imaps,pop3,pop3s -j fail2ban-sasl -- stderr: "iptables v1.4.19.1: invalid port/service `ssmtp' specified\nTry `iptables -h' or 'iptables --help' for more information.\n"

Comment 1 Vladislav Grigoryev 2014-01-30 21:37:54 UTC
Workaround:
# cp -ai /etc/services{,.bak}
# diff /etc/services{,.bak}
1141c1141
< urd             465/tcp   ssmtp smtps   # URL Rendesvous Directory for SSM / SMTP over SSL (TLS)
---
> urd             465/tcp         smtps   # URL Rendesvous Directory for SSM / SMTP over SSL (TLS)

Comment 2 Orion Poplawski 2014-02-02 03:56:33 UTC
This is fixed upstream by using port # 465 explicitly.  I'm hoping to get an updated snapshot out relatively soon.


Note You need to log in before you can comment on or make changes to this bug.